package org.maltparser.core.sentence;

import org.maltparser.core.dataformat.ColumnDescription;
import org.maltparser.core.exception.MaltChainedException;
/**

@author Johan Hall
@since 1.0
*/
public class BoolColumnInstance extends ColumnInstance {
	private Boolean value;
	public BoolColumnInstance(ColumnDescription column) {
		super(column, true);
		value = null;
	}
	
	public void setValue(int v) {
		if (v==0) {
			value = false;
		} else {
			value = true;
		}
	}
	
	public void setValue(String v) throws MaltChainedException {
		if (v.equals("true") || v.equals("1")) {
			value = true;
		} else if (v.equals("false") || v.equals("0")) {
			value = false;
		} else {
			throw new SentenceException("The boolean column attribute must either be true (1) or false (0), not "+ v + ". ");
		}
	}
	
	public String getStringValue() {
		if (value == true) {
			return "true";
		} 
		return "false";
	}
	
	public int getIntegerValue() {
		if (value == true) {
			return 1;
		} 
		return 0;
	}
}
