package org.maltparser.core.sentence;

import org.maltparser.core.dataformat.ColumnDescription;
import org.maltparser.core.exception.MaltChainedException;
import org.maltparser.core.symbol.SymbolTable;
/**

@author Johan Hall
@since 1.0
*/
public class StringColumnInstance extends ColumnInstance {
	private Integer value;
	private SymbolTable table;

	public StringColumnInstance(ColumnDescription column) {
		super(column, false);
		table = column.getSymbolTable();
	}
	
	public void setValue(String v) throws MaltChainedException  {
		value = table.addSymbol(v);
		known = table.getKnown(v);
	}
	
	public String getStringValue() throws MaltChainedException {
		return table.getSymbolCodeToString(value);
	}
	
	public int getIntegerValue() {
		return value; 
	}
	
	public SymbolTable getSymbolTable() {
		return table;
	}
}
