package org.maltparser.parser.algorithm;

import org.maltparser.core.config.SingleMaltConfiguration;
import org.maltparser.core.exception.MaltChainedException;
import org.maltparser.core.graph.DependencyGraph;

import org.maltparser.parser.algorithm.helper.ParserAction;
import org.maltparser.parser.guide.feature.Featurable;

/**
 * 
 * @author Joakim Nivre
 * @author Johan Hall
 * @since 1.0
*/
public interface ParsingAlgorithm extends Featurable {
	public DependencyGraph parse() throws MaltChainedException;
	public DependencyGraph oracleParse(DependencyGraph goldDependencyGraph) throws MaltChainedException;
	public ParserAction getParserAction();
	public SingleMaltConfiguration getConfiguration();
	public DependencyGraph getDependencyGraph();
	public String getName();
}