package org.maltparser.parser.guide.predmodel;

import org.maltparser.core.exception.MaltChainedException;

/**
 *  ModelException extends the MaltChainedException class and is thrown by classes
 *  within the guide.instmodel and guide.predmodel packages.
 *
 * @author Johan Hall
 * @since 1.0
**/
public class ModelException extends MaltChainedException {
	public static final long serialVersionUID = 8045568022124816379L; 
	/**
	 * Creates a ModelException object with a message
	 * 
	 * @param message	the message
	 */
	public ModelException(String message) {
		super(message);
	}
	/**
	 * Creates a ModelException object with a message and a cause to the exception.
	 * 
	 * @param message	the message
	 * @param cause		the cause to the exception
	 */
	public ModelException(String message, Throwable cause) {
		super(message, cause);
	}
}


